Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 249652

Summary: app-portage/gentoolkit - 'equery hasuse' wrong work with '+' or '-' use flags
Product: Gentoo Linux Reporter: Yaroslav Isakov <yaroslav.isakov>
Component: Current packagesAssignee: Portage Tools Team <tools-portage>
Status: RESOLVED FIXED    
Severity: normal CC: douglasjanderson
Priority: High Keywords: InVCS
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 268001    
Attachments: emerge --info
handle IUSE defaults

Description Yaroslav Isakov 2008-12-02 20:30:58 UTC
There is one problem with 'eqeury hasuse' command - it doesn't show packages with '+' or '-' style flags. For example, media-libs/libvorbis-1.2.1_rc1-r1:
IUSE="+aotuv doc"
equery hasuse aotuv
[ Searching for USE flag aotuv in all categories among: ]
 * installed packages

But I can use next command to find this package
equery hasuse +aotuv
[ Searching for USE flag +aotuv in all categories among: ]
 * installed packages
[I--] [ ~] media-libs/libvorbis-1.2.1_rc1-r1 (0)

It's bug or feature? :)
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2008-12-02 22:07:13 UTC
Please post your `emerge --info' and the version of app-portage/gentoolkit that you use.
Comment 2 Yaroslav Isakov 2008-12-02 22:13:59 UTC
Created attachment 174111 [details]
emerge --info

'emerge --info' output, gentoolkit-0.2.4.2
Comment 3 Zac Medico gentoo-dev 2008-12-05 22:55:14 UTC
Created attachment 174365 [details, diff]
handle IUSE defaults

If this patch is saved as /tmp/hasuse_iuse_defaults.patch, then it can be applied as follows:

 patch /usr/bin/equery /tmp/hasuse_iuse_defaults.patch

This patch is in trunk r526.
Comment 4 Yaroslav Isakov 2008-12-11 19:53:52 UTC
Thanks!
Comment 5 Paul Varner (RETIRED) gentoo-dev 2008-12-11 20:21:08 UTC
Reopening until patch is included in a released version of gentoolkit
Comment 6 Paul Varner (RETIRED) gentoo-dev 2009-05-01 03:26:24 UTC
Released in gentoolkit-0.2.4.3